﻿using UnityEngine;
using System.Collections;
using System;

public class makesound : MonoBehaviour {
	// RTcmix/audio stuff
	private rtcmixmain RTcmix;
	private int objno = 0;
	private getMyTransform localsrc; // to get position relative to 'observer'

	// Use this for initialization
	void Start () {
		// RTcmix stuff
		RTcmix = GameObject.Find ("RTcmixmain").GetComponent<rtcmixmain> ();
		RTcmix.initRTcmix (objno);
		localsrc = GameObject.Find ("observer").GetComponent<getMyTransform> ();

		String score = "bus_config(\"FMINST\", \"aux 0-1 out\") " +
			"bus_config(\"LOCALIZE\", \"aux 0-1 in\", \"out 0-1\") " +
			"wavetable = maketable(\"wave\", 1000, \"sine\") " +
			"indexenv = maketable(\"line\", 1000, 0,1, 1,0) " +
			"ampenv = maketable(\"line\", 1000, 0,1, 1,0) ";
		RTcmix.SendScore (score, objno);
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void dropletsound() {
		Vector3 srcpos = localsrc.getTransform (gameObject); // this source relative to the 'observer' object

		String score = "FMINST(0, 0.1, 20000*ampenv, irand(100, 300)*10, " +
			"irand(200, 500)*10, 0, 5, 0.5, wavetable, indexenv) " +
			"LOCALIZE(0, 0, 0.2, 1, " + srcpos.x + ", " + srcpos.z + ", " + srcpos.y + ",  0, 0, 0,  1, 1,  0,  1, 2) ";
		RTcmix.SendScore (score, objno);
	}

	void OnAudioFilterRead(float[] data, int channels) {
		RTcmix.runRTcmix (data, objno, 0);
	}

	void OnApplicationQuit() {
		RTcmix.destroy (objno);
	}
}
