﻿using UnityEngine;
using System.Collections;

public class makespheres : MonoBehaviour {
	float timer;

	// Use this for initialization
	void Start () {
		timer = 0.5f;
	}
	
	// Update is called once per frame
	void Update () {
		if (Time.time > timer) {
			GameObject go = GameObject.CreatePrimitive (PrimitiveType.Sphere);
			go.transform.position = new Vector3 (Random.Range (-4.0f, 4.0f),
				5.0f,
				Random.Range (-4.0f, 4.0f));
			go.transform.localScale = new Vector3 (0.1f, 0.1f, 0.1f);
			go.transform.Rotate (-90, 0, 0);

			Rigidbody goBody = go.AddComponent<Rigidbody> ();
			goBody.mass = 1.0f;
			goBody.angularDrag = 0.05f;
			goBody.useGravity = true;
			goBody.detectCollisions = true;

			ParticleSystem pt = go.AddComponent<ParticleSystem> ();
			pt.startSpeed = 115.0f;
			pt.startColor = Color.red;
			pt.startSize = 0.75f;
			pt.Stop ();

			Collider coll = go.GetComponent<Collider> ();
			coll.material = new PhysicMaterial ("hhh");
			coll.material.dynamicFriction = 0.6f;
			coll.material.staticFriction = 0.6f;
			coll.material.bounciness = 0.2f;

			timer = Time.time + Random.Range(0.1f, 0.5f);
		}
	}
}
